Bug 147492 - automounter does not handle smbfs properly
automounter does not handle smbfs properly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: autofs (Show other bugs)
3.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Feist
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-08 10:40 EST by Gintautas Grigelionis
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-178
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-19 18:05:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
program map for automounter (794 bytes, text/plain)
2005-02-08 10:42 EST, Gintautas Grigelionis
no flags Details
error messages from automounter (3.01 KB, text/plain)
2005-02-08 10:50 EST, Gintautas Grigelionis
no flags Details

  None (edit)
Description Gintautas Grigelionis 2005-02-08 10:40:18 EST
Description of problem:
automounter does not handle smbfs properly

Version-Release number of selected component (if applicable):
4.1.3-47

How reproducible:
Install the attached script as program map. Try to mount a windows share.

  
Actual results:
automounter does not strip the leading ":" from share name (which is
required to indicate a local mount) and confuses smbmount.


Expected results:
automounter should execute smbmount successfully.


Additional info:
Comment 1 Gintautas Grigelionis 2005-02-08 10:42:16 EST
Created attachment 110803 [details]
program map for automounter
Comment 2 Gintautas Grigelionis 2005-02-08 10:50:03 EST
Created attachment 110804 [details]
error messages from automounter
Comment 3 Chris Feist 2005-02-15 18:42:11 EST
I've verified the bug and have created a patch.  This fix should be in
the RHEL3U5 release of autofs.
Comment 4 Chris Feist 2005-03-02 10:53:52 EST
This fix has been put into the autofs-4.1.3-104 slated for RHEL3U5.
Comment 5 Dennis Gregorovic 2005-05-19 18:05:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-177.html

Note You need to log in before you can comment on or make changes to this bug.